cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/share-meta \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}}'view
Put table view share meta
Update view share meta
PUT
/
table
/
{tableId}
/
view
/
{viewId}
/
share-meta
cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/share-meta \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}}'Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successfully update.
Last modified on March 5, 2026
Was this page helpful?
⌘I

